# Uses of Interface
javax.validation.ParameterNameProvider

Packages that use ParameterNameProvider
Package
Description
javax.validation
javax.validation.spi

## Uses of ParameterNameProvider in javax.validation

Methods in javax.validation that return ParameterNameProvider
Modifier and Type
Method
Description
`ParameterNameProvider`
Configuration.`getDefaultParameterNameProvider()`
`ParameterNameProvider`
ValidatorFactory.`getParameterNameProvider()`
Methods in javax.validation with parameters of type ParameterNameProvider
Modifier and Type
Method
Description
`T`
Configuration.`parameterNameProvider(ParameterNameProvider parameterNameProvider)`
`ValidatorContext`
ValidatorContext.`parameterNameProvider(ParameterNameProvider parameterNameProvider)`

## Uses of ParameterNameProvider in javax.validation.spi

Methods in javax.validation.spi that return ParameterNameProvider
Modifier and Type
Method
Description
`ParameterNameProvider`
ConfigurationState.`getParameterNameProvider()`